## GConf Misc GConf Misc — The GConf Library Utilities |

## Functions

GSList * | fma_gconf_utils_get_subdirs ()
void | fma_gconf_utils_free_subdirs ()
gboolean | fma_gconf_utils_has_entry ()
GSList * | fma_gconf_utils_get_entries ()
gboolean | fma_gconf_utils_get_bool_from_entries ()
gboolean | fma_gconf_utils_get_string_from_entries ()
gboolean | fma_gconf_utils_get_string_list_from_entries ()
void | fma_gconf_utils_dump_entries ()
void | fma_gconf_utils_free_entries ()
gboolean | fma_gconf_utils_read_bool ()
gint | fma_gconf_utils_read_int ()
gchar * | fma_gconf_utils_read_string ()
GSList * | fma_gconf_utils_read_string_list ()
gboolean | fma_gconf_utils_write_bool ()
gboolean | fma_gconf_utils_write_int ()
gboolean | fma_gconf_utils_write_string ()
gboolean | fma_gconf_utils_write_string_list ()
gboolean | fma_gconf_utils_remove_entry ()
GSList * | fma_gconf_utils_slist_from_string ()
gchar * | fma_gconf_utils_slist_to_string ()

## Includes

    #include <runtime/fma-gconf-utils.h>

## Description

Starting with FileManager-Actions 3.1.0, GConf, whether it is used as a preference storage subsystem or as an I/O provider, is deprecated.

## Functions

### fma_gconf_utils_get_subdirs ()

    GSList *
    fma_gconf_utils_get_subdirs (GConfClient *gconf,
                                 const gchar *path);

#### Parameters

gconf | a GConfClient instance. |
path | a full path to be read. |

#### Returns

a list of full path subdirectories.

The returned list should be `fma_gconf_utils_free_subdirs()` by the caller.

Since: 2.30

### fma_gconf_utils_free_subdirs ()

    void
    fma_gconf_utils_free_subdirs (GSList *subdirs);

Release the list.

#### Parameters

subdirs | the subdirectory list as returned from `fma_gconf_utils_get_subdirs()`. |

Since: 2.30

### fma_gconf_utils_has_entry ()

    gboolean
    fma_gconf_utils_has_entry (GSList *entries,
                               const gchar *entry);

#### Parameters

entries | the list of entries as returned by `fma_gconf_utils_get_entries()`. |
entry | the entry to be tested. |

#### Returns

`TRUE` if the given `entry` exists in the specified `entries` , `FALSE` else.

Since: 2.30

### fma_gconf_utils_get_entries ()

    GSList *
    fma_gconf_utils_get_entries (GConfClient *gconf,
                                 const gchar *path);

Loads all the key=value pairs of the specified key.

#### Parameters

gconf | a GConfClient instance. |
path | a full path to be read. |

#### Returns

a list of GConfEntry.

The returned list is not recursive : it contains only the immediate children of `path` . To free the returned list, call `fma_gconf_utils_free_entries()`.

Since: 2.30

### fma_gconf_utils_get_bool_from_entries ()

    gboolean
    fma_gconf_utils_get_bool_from_entries (GSList *entries,
                                           const gchar *entry,
                                           gboolean *value);

#### Parameters

entries | a list of GConfEntry as returned by `fma_gconf_utils_get_entries()`. |
entry | the searched entry. |
value | a pointer to a gboolean to be set to the found value. |

#### Returns

`TRUE` if the entry was found, `FALSE` else.

If the entry was not found, or was not of boolean type, `value` is set to `FALSE`.

Since: 2.30

### fma_gconf_utils_get_string_from_entries ()

    gboolean
    fma_gconf_utils_get_string_from_entries
                                   (GSList *entries,
                                    const gchar *entry,
                                    gchar **value);

#### Parameters

entries | a list of GConfEntry as returned by `fma_gconf_utils_get_entries()`. |
entry | the searched entry. |
value | a pointer to a gchar * to be set to the found value. |

#### Returns

`TRUE` if the entry was found, `FALSE` else.

If the entry was not found, or was not of string type, `value` is set to `NULL`.

If `value` is returned not NULL, it should be `g_free()` by the caller.

Since: 2.30

### fma_gconf_utils_get_string_list_from_entries ()

    gboolean
    fma_gconf_utils_get_string_list_from_entries
                                   (GSList *entries,
                                    const gchar *entry,
                                    GSList **value);

#### Parameters

entries | a list of GConfEntry as returned by `fma_gconf_utils_get_entries()`. |
entry | the searched entry. |
value | a pointer to a GSList * to be set to the found value. |

#### Returns

`TRUE` if the entry was found, `FALSE` else.

If the entry was not found, or was not of string list type, `value` is set to `NULL`.

If `value` is returned not NULL, it should be `fma_core_utils_slist_free()` by the caller.

Since: 2.30

### fma_gconf_utils_dump_entries ()

    void
    fma_gconf_utils_dump_entries (GSList *entries);

Dumps the content of the entries.

#### Parameters

entries | a list of GConfEntry as returned by `fma_gconf_utils_get_entries()`. |

Since: 2.30

### fma_gconf_utils_free_entries ()

    void
    fma_gconf_utils_free_entries (GSList *entries);

Releases the provided list.

#### Parameters

entries | a list of GConfEntry as returned by `fma_gconf_utils_get_entries()`. |

Since: 2.30

### fma_gconf_utils_read_bool ()

    gboolean
    fma_gconf_utils_read_bool (GConfClient *gconf,
                               const gchar *path,
                               gboolean use_schema,
                               gboolean default_value);

#### Parameters

gconf | a GConfClient instance. |
path | the full path to the key. |
use_schema | whether to use the default value from schema, or not. |
default_value | default value to be used if schema is not used or doesn't exist. |

#### Returns

the required boolean value.

Since: 2.30

### fma_gconf_utils_read_int ()

    gint
    fma_gconf_utils_read_int (GConfClient *gconf,
                              const gchar *path,
                              gboolean use_schema,
                              gint default_value);

#### Parameters

gconf | a GConfClient instance. |
path | the full path to the key. |
use_schema | whether to use the default value from schema, or not. |
default_value | default value to be used if schema is not used or doesn't exist. |

#### Returns

the required integer value.

Since: 2.30

### fma_gconf_utils_read_string ()

    gchar *
    fma_gconf_utils_read_string (GConfClient *gconf,
                                 const gchar *path,
                                 gboolean use_schema,
                                 const gchar *default_value);

#### Parameters

gconf | a GConfClient instance. |
path | the full path to the key. |
use_schema | whether to use the default value from schema, or not. |
default_value | default value to be used if schema is not used or doesn't exist. |

#### Returns

the required string value in a newly allocated string which should be `g_free()` by the caller.

Since: 2.30

### fma_gconf_utils_read_string_list ()

    GSList *
    fma_gconf_utils_read_string_list (GConfClient *gconf,
                                      const gchar *path);

#### Parameters

gconf | a GConfClient instance. |
path | the full path to the key to be read. |

#### Returns

a list of strings, or `NULL` if the entry was not found or was not of string list type.

The returned list must be released with `fma_core_utils_slist_free()`.

Since: 2.30

### fma_gconf_utils_write_bool ()

    gboolean
    fma_gconf_utils_write_bool (GConfClient *gconf,
                                const gchar *path,
                                gboolean value,
                                gchar **message);

`fma_gconf_utils_write_bool` has been deprecated since version 3.1 and should not be used in newly-written code.

Writes a boolean at the given `path` .

#### Parameters

gconf | a GConfClient instance. |
path | the full path to the key. |
value | the value to be written. |
message | a pointer to a gchar * which will be allocated if needed. |

#### Returns

`TRUE` if the writing has been successful, `FALSE` else.

If returned not NULL, the `message` contains an error message. It should be `g_free()` by the caller.

Since: 2.30

### fma_gconf_utils_write_int ()

    gboolean
    fma_gconf_utils_write_int (GConfClient *gconf,
                               const gchar *path,
                               gint value,
                               gchar **message);

`fma_gconf_utils_write_int` has been deprecated since version 3.1 and should not be used in newly-written code.

Writes an integer at the given `path` .

#### Parameters

gconf | a GConfClient instance. |
path | the full path to the key. |
value | the value to be written. |
message | a pointer to a gchar * which will be allocated if needed. |

#### Returns

`TRUE` if the writing has been successful, `FALSE` else.

If returned not NULL, the `message` contains an error message. It should be `g_free()` by the caller.

Since: 2.30

### fma_gconf_utils_write_string ()

    gboolean
    fma_gconf_utils_write_string (GConfClient *gconf,
                                  const gchar *path,
                                  const gchar *value,
                                  gchar **message);

`fma_gconf_utils_write_string` has been deprecated since version 3.1 and should not be used in newly-written code.

Writes a string at the given `path` .

#### Parameters

gconf | a GConfClient instance. |
path | the full path to the key. |
value | the value to be written. |
message | a pointer to a gchar * which will be allocated if needed. |

#### Returns

`TRUE` if the writing has been successful, `FALSE` else.

If returned not NULL, the `message` contains an error message. It should be `g_free()` by the caller.

Since: 2.30

### fma_gconf_utils_write_string_list ()

    gboolean
    fma_gconf_utils_write_string_list (GConfClient *gconf,
                                       const gchar *path,
                                       GSList *value,
                                       gchar **message);

`fma_gconf_utils_write_string_list` has been deprecated since version 3.1 and should not be used in newly-written code.

Writes a list of strings at the given `path` .

#### Parameters

gconf | a GConfClient instance. |
path | the full path to the key. |
value | the list of values to be written. |
message | a pointer to a gchar * which will be allocated if needed. |

#### Returns

`TRUE` if the writing has been successful, `FALSE` else.

If returned not NULL, the `message` contains an error message. It should be `g_free()` by the caller.

Since: 2.30

### fma_gconf_utils_remove_entry ()

    gboolean
    fma_gconf_utils_remove_entry (GConfClient *gconf,
                                  const gchar *path,
                                  gchar **message);

`fma_gconf_utils_remove_entry` has been deprecated since version 3.1 and should not be used in newly-written code.

Removes an entry from user preferences.

#### Parameters

gconf | a GConfClient instance. |
path | the full path to the entry. |
message | a pointer to a gchar * which will be allocated if needed. |

#### Returns

`TRUE` if the operation was successful, `FALSE` else.

Since: 2.30

### fma_gconf_utils_slist_from_string ()

    GSList *
    fma_gconf_utils_slist_from_string (const gchar *value);

`fma_gconf_utils_slist_from_string` has been deprecated since version 3.1 and should not be used in newly-written code.

Converts a string representing a list of strings in a GConf format to a list of strings.

#### Parameters

value | a string of the form [xxx,yyy,...] as read from GConf. |

#### Returns

a newly allocated list of strings, which should be `fma_core_utils_slist_free()` by the caller, or `NULL` if the provided string was not of the GConf form.

Since: 2.30

### fma_gconf_utils_slist_to_string ()

    gchar *
    fma_gconf_utils_slist_to_string (GSList *slist);

`fma_gconf_utils_slist_to_string` has been deprecated since version 3.1 and should not be used in newly-written code.

#### Parameters

slist | a GSList to be displayed. |

#### Returns

the content of `slist` , with the GConf format, as a newly allocated string which should be `g_free()` by the caller.

Since: 2.30

## Types and Values